/*
** This file is part of Solarflare SolarCapture.
** 
** Copyright 2012-2017  Solarflare Communications Inc.
**                      7505 Irvine Center Drive, Irvine, CA 92618, USA
** 
** Proprietary and confidential.  All rights reserved.
** 
** Please see LICENSE.txt included in this distribution for terms of use.
*/

#ifndef __SOLAR_CAPTURE_EXT_H__
#define __SOLAR_CAPTURE_EXT_H__

#include <assert.h>

/* Applications can define SC_API_VER to request a particular level of
 * functionality.  If SC_API_VER is not defined, only the baseline features
 * are exposed.
 *
 * SC_API_VER corresponds to the library minor version.
 */
#ifndef SC_API_VER
# define SC_API_VER  0
#endif

/* The API version supported by this release. */
/* Remember: update src/core/libsolarcapture.ldscript too */
#define SC_API_VER_MAX   5

#if SC_API_VER > SC_API_VER_MAX
# error "SC_API_VER not supported by this version of SolarCapture"
#endif


#ifdef __cplusplus
extern "C" {
#endif

#if SC_API_VER >= 1
#include <solar_capture/object.h>
#endif
#include <solar_capture/ext_packet.h>
#include <solar_capture/ext_packet_list.h>
#include <solar_capture/ext_node.h>

#ifdef __cplusplus
}
#endif


#endif  /* __SOLAR_CAPTURE_EXT_H__ */
